For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • GETGet all lead sources
        • GETGet lead source by ID
        • GETGet rentable items for a lead
        • POSTCreate Lead: ResMan
        • PUTUpdate Lead: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManLeads

Update Lead: ResMan

PUT
/v1/leads/resman/:lead_id
PUT
/v1/leads/resman/:lead_id
$curl -X PUT https://api.propexo.com/v1/leads/resman/lead_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "meta": {
3 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
4 },
5 "result": {
6 "lead_id": "lead-1234567890",
7 "lead_source_id": "source-9876543210",
8 "unit_id": "unit-4567891230",
9 "floor_plan_id": "floorplan-3216549870",
10 "first_name": "Emily",
11 "last_name": "Johnson",
12 "email_1": "emily.johnson@example.com",
13 "phone_1": "+14155552671",
14 "phone_1_type": "MOBILE",
15 "phone_2": "+14155552672",
16 "phone_2_type": "WORK",
17 "city": "San Francisco",
18 "address_1": "123 Market St",
19 "address_2": "Apt 4B",
20 "state": "CA",
21 "zip": "94103",
22 "desired_num_bedrooms": 2,
23 "desired_num_bathrooms": 1.5,
24 "desired_max_rent_in_cents": 350000,
25 "desired_lease_term_in_months": 12,
26 "target_move_in_date": "2024-07-01T00:00:00Z"
27 }
28}
Update Lead: ResMan | Interface | Method | |---|---| | Lead Management | /MITS/PostLeadManagement4_0 |
Was this page helpful?
Previous

Get all leases

Next
Built with

Update Lead: ResMan

InterfaceMethod
Lead Management/MITS/PostLeadManagement4_0

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lead_idstringRequired
The Propexo unique identifier for the lead

Request

This endpoint expects an object.
lead_source_idstringOptional
The Propexo unique identifier for the lead source
unit_idstringOptional
The Propexo unique identifier for the unit
floor_plan_idstringOptional
The Propexo unique identifier for the floor plan
first_namestringOptional
The first name associated with the lead
last_namestringOptional
The last name associated with the lead
email_1stringOptional
The primary email address associated with the lead
phone_1stringOptional
Primary phone number associated with the lead
phone_1_typeenumOptional
Type of the primary phone number. This will default to HOME if not provided
Allowed values:
phone_2stringOptional
Secondary phone number associated with the lead
phone_2_typeenumOptional
Type of the secondary phone number. This will default to MOBILE if not provided
Allowed values:
citystringOptional
The city associated with the lead
address_1stringOptional
The first address line associated with the lead
address_2stringOptional
The second address line associated with the lead
statestringOptional
The state associated with the lead
zipstringOptional
The zip code associated with the lead
desired_num_bedroomsdoubleOptional>=0
The desired number of bedrooms
desired_num_bathroomsdoubleOptional>=0
The desired number of bathrooms
desired_max_rent_in_centsdoubleOptional>=0
The maximum rent cost the lead is looking to pay, in cents
desired_lease_term_in_monthsdoubleOptional>=0
The amount of months for the lease term
target_move_in_datestringOptional
The target move in date associated with the lead

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error